--thanks to the chad Hoxi for making this possible
Hooks:PostHook(CopBase, "default_weapon_name", "ProperWeapon", function(self)
	local default_weapon_id = self._default_weapon_id
	local weap_ids = tweak_data.character.weap_ids
	local diff_index = tweak_data:difficulty_to_index(Global.game_settings.difficulty)
	local unit_name = self._unit:name()
	
	local car4 = Idstring("units/payday2/weapons/wpn_npc_m4/wpn_npc_m4")
	local jp36 = Idstring("units/payday2/weapons/wpn_npc_g36/wpn_npc_g36")
	local yellow_car4 = Idstring("units/payday2/weapons/wpn_npc_m4_yellow/wpn_npc_m4_yellow")
	local compact5 = Idstring("units/payday2/weapons/wpn_npc_mp5/wpn_npc_mp5")
	local heather = Idstring("units/pd2_dlc_mad/weapons/wpn_npc_sr2/wpn_npc_sr2")
	local bronco = Idstring("units/payday2/weapons/wpn_npc_raging_bull/wpn_npc_raging_bull")
	
    local riflemen_fbi = unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_ak47_ass/ene_akan_fbi_swat_ak47_ass") 
	or unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_heavy_ak47_ass/ene_akan_cs_heavy_ak47_ass")

    local akan_fbi = unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_g36/ene_akan_fbi_heavy_g36")

    local riflemen_tazer = unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_tazer_ak47_ass/ene_akan_cs_tazer_ak47_ass") 
	or unit_name == Idstring("units/pd2_dlc_hvh/characters/ene_tazer_hvh_1/ene_tazer_hvh_1")

    local riflemen_dw = unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_dw_ak47_ass/ene_akan_fbi_swat_dw_ak47_ass") 
	or unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_g36/ene_akan_fbi_heavy_g36")
	or unit_name == Idstring("units/pd2_dlc_hvh/characters/ene_fbi_heavy_hvh_1/ene_fbi_heavy_hvh_1")

    local shield_based_redpill = unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_shield_sr2_smg/ene_akan_fbi_shield_sr2_smg") 
	or unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_shield_dw_sr2_smg/ene_akan_fbi_shield_dw_sr2_smg")

    local blue_swat = unit_name == Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_swat_ak47_ass/ene_akan_cs_swat_ak47_ass") 
	or unit_name == Idstring("units/pd2_dlc_bex/characters/ene_swat_policia_federale/ene_swat_policia_federale")

    local they_have_no_bronco_cop = unit_name == Idstring("units/pd2_dlc_bex/characters/ene_policia_02/ene_policia_02") 
	
	if riflemen_fbi then 
		return car4
	elseif akan_fbi and diff_index < 6 then 
		return car4
	elseif riflemen_tazer then 
		return yellow_car4
	elseif blue_swat then 
		return compact5
	elseif shield_based_redpill then 
		return heather
	elseif riflemen_dw and diff_index >= 6 then 
		return jp36
	elseif they_have_no_bronco_cop then 
		return bronco	
	end
end)